#include "util.hpp"
#include <type_traits>

uint32_t byteToMask(char byte, const std::array<uint8_t, 8>& pins) {
    uint32_t mask = 0;
    for (int i = 0; i < 8; i++) {
        if ((1 << i) & byte) {  // if ith bit is set, set bit of corresponding pin
            mask |= (1 << pins.at(i));
        }
    }
    return mask;
}

